<?php
require("includes/logincheck.php");
require("config.php");
require("includes/functions.php");
require("includes/settings.php");
?>
<?php
//dados sessao

$adminid = (int) $_SESSION['adminid'];
$adminLevel = (int) $_SESSION['adminlevel'];
$rev_pre = (int) $_SESSION['rev_pre'];
?>
<?php
// dados request, post

$trans_tipo = isset($_GET['trans']) ? $_GET['trans'] : ($_POST['trans_tipo'] ? $_POST['trans_tipo'] : null);
$id_trans = (int) isset($_GET['id']) ? $_GET['id'] : ($_POST['id_trans'] ? $_POST['id_trans'] : null);

//mysql

if (isset($_GET['alterar'])) {

    $con = mysqli_connect($dbhost, $dbuser, $dbpass, $dbname);

    $novo_status = (int) $_POST['novo_status'];



    $retorno = "";

    if ($trans_tipo == "login") {

        $rs = $con->query("SELECT id,qtd_meses,data_atualizacao FROM cmum_transacoes WHERE id = {$id_trans} AND id_revenda = {$adminid}");

        if ($rs->num_rows > 0) {

            $row = $rs->fetch_assoc();

            $detalhes = "<p>***(Cancelado manualmente pela revenda.)</p>";

            if ($novo_status == 3) {

                $detalhes = "<p>***(Aprovado manualmente pela revenda.)</p>";
            }

            $data_atualizacao = date('Y-m-d H:i:s');

            if ($con->query("UPDATE cmum_transacoes SET status='{$novo_status}',detalhes=concat(detalhes,'{$detalhes}'),data_atualizacao='{$data_atualizacao}' WHERE id = {$id_trans}")) {

                if ($novo_status == 3) {

                    atualiza_venc_login($id_trans); // atualiza vencimento automatico.
                }

                $retorno = <<<EOF
                        <script>
                            alert('Status Modificado Com Sucesso.');
                            window.close();
                        </script>
EOF;
            }
        }
    }

    if ($trans_tipo == "revenda") {

        $dados['id_transacao'] = $id_trans;
        $dados['detalhes'] = "<p>***(Cancelado manualmente pela revenda.)</p>";
        $dados['status'] = $_POST['novo_status'];
        $dados['data_atualizacao'] = date('Y-m-d H:i:s');

        //exit(var_dump($dados));

        if ($dados['status'] == 3) {

            $dados['detalhes'] = "<p>***(Aprovado manualmente pela revenda.)</p>";
            
        }


        if (altera_status_rev($dados)) {

            $retorno = <<<EOF
                        <script>
                            alert('Status Modificado Com Sucesso.');
                            window.close();
                        </script>
EOF;
        }
    }

    exit($retorno);
}
?>
<?php
$titulo = "Mudar Status Transações";
?>
<!-- topo -->
<?php require_once __DIR__ . '/includes/topo.php'; ?>
<div class="container container-fluid">
    <h6>Alterar Status Transação</h6>
    <desc>
    <p><strong>Tipo Transação:</strong>&nbsp;<?= ucfirst($trans_tipo); ?></p>
    <p><strong>ID Transação:</strong>&nbsp;#<?= $id_trans; ?></p>
    </desc>
    <form action="transacoes.alterar_status.php?alterar=true" method="post">
        <input type="hidden" name="trans_tipo" value="<?= $trans_tipo; ?>"/>
        <input type="hidden" name="id_trans" value="<?= $id_trans; ?>"/>        
        <div class="form-group">
            <label>Mudar Para:</label>
            <select name="novo_status" class="form-control">
                <option value="0">Cancelada</option>
                <option value="3">Aprovada</option>
            </select>
        </div>
        <div>
            <button class="btn btn-success">Alterar</button>
        </div>
    </form>
</div>
<!-- rodape -->
<?php require_once __DIR__ . '/includes/rodape.php'; ?>